local WaterMill = ...

--------------------------------------------------------------------------
local WATER_MILL_COMP_WHEEL = {
	TypeName = WaterMillPrefix .. "_COMP_WHEEL",
	ParentType = "COMPONENT",
	Properties = {
		{ Name = "RotationSpeedX", Type = "float", Default = 0.5 },
		{ Name = "RotationDirectionCustom", Type = "string", Default = "Woop" }
	}
}

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:create()
	self._timer = 0
end

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:init()
         WaterMill:log("init")
	self._rotationX = 0
	self._rotationY = 0
        WaterMill:log("RotationDirectionCustom = " .. self.RotationDirectionCustom)
end

--------------------------------------------------------------------------
function WATER_MILL_COMP_WHEEL:update()
	local dt = self:getLevel():getDeltaTime()
        if self.RotationDirectionCustom == "RIGHT_BANK" then
	    self._rotationX = self._rotationX - self.RotationSpeedX * dt
	else
	    self._rotationX = self._rotationX + self.RotationSpeedX * dt
        end
	self:getOwner():setRotationX(self._rotationX)
end

--------------------------------------------------------------------------
WaterMill:registerClass(WATER_MILL_COMP_WHEEL)
